Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.http.realm
Class XmldbRealm

    java.lang.Object
      org.exist.http.realm.XmldbRealm

public class XmldbRealm
extends java.lang.Object

Method Summary
`java.security.Principal` | `authenticate(java.lang.String username, java.lang.String credentials)` Return the Principal associated with the specified username and credentials, if there is one; otherwise return `null`.
`java.lang.String` | `getBasedir()`
`java.lang.String` | `getConfiguration()`
`java.lang.String` | `getDriver()`
`java.lang.String` | `getInfo()` Return descriptive information about this Realm implementation and the corresponding version number, in the format `<description>/<version>`.
`java.lang.String` | `getUri()`
`void` | `setBasedir(java.lang.String basedir)`
`void` | `setConfiguration(java.lang.String configuration)`
`void` | `setDriver(java.lang.String driver)`
`void` | `setUri(java.lang.String uri)`
`void` | `start()` Prepare for active use of the public methods of this Component.
`void` | `startExistDb()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Realm implementation and the corresponding version number, in the format `<description>/<version>`.

### authenticate

    public java.security.Principal authenticate(java.lang.String username,
                                                java.lang.String credentials)

  Return the Principal associated with the specified username and credentials, if there is one; otherwise return `null`.

  Parameters:
    `username` - Username of the Principal to look up
    `credentials` - Password or other credentials to use in authenticating this username

### start

    public void start()
               throws org.apache.catalina.LifecycleException

  Prepare for active use of the public methods of this Component.

  Throws:
    `org.apache.catalina.LifecycleException` - if this component detects a fatal error that prevents it from being started

### stop

    public void stop()
              throws org.apache.catalina.LifecycleException

  Throws:
    `org.apache.catalina.LifecycleException`

### startExistDb

    public void startExistDb()
                      throws org.apache.catalina.LifecycleException

  Throws:
    `org.apache.catalina.LifecycleException`

### getBasedir

    public java.lang.String getBasedir()

  Returns:
    Returns the basedir.

### setBasedir

    public void setBasedir(java.lang.String basedir)

  Parameters:
    `basedir` - The basedir to set.

### getConfiguration

    public java.lang.String getConfiguration()

  Returns:
    Returns the configuration.

### setConfiguration

    public void setConfiguration(java.lang.String configuration)

  Parameters:
    `configuration` - The configuration to set.

### getDriver

    public java.lang.String getDriver()

  Returns:
    Returns the driver.

### setDriver

    public void setDriver(java.lang.String driver)

  Parameters:
    `driver` - The driver to set.

### getUri

    public java.lang.String getUri()

  Returns:
    Returns the uri.

### setUri

    public void setUri(java.lang.String uri)

  Parameters:
    `uri` - The uri to set.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.